Spaces method and path for this operation:
get /s/{space_id}/api/lists/items/_find
Refer to Spaces for more information.
Get all value list items in the specified list.
Query parameters
-
Parent value list's
idto page through items for.Minimum length is
1. -
The page number to return.
-
The number of list items to return per page.
-
Determines which field is used to sort the results.
Minimum length is
1. -
Determines the sort order, which can be
descorascValues are
descorasc. -
Opaque cursor returned in a previous response; pass it to continue listing from the next page. Omit on the first request.
Minimum length is
1. -
Filters the returned results according to the value of the specified field, using the : syntax.
GET
/api/lists/items/_find
curl \
--request GET 'https://<KIBANA_URL>/api/lists/items/_find?list_id=21b01cfb-058d-44b9-838c-282be16c91cd' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"cursor": "WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d",
"data": [
{
"_version": "WzAsMV0=",
"@timestamp": "2025-01-08T04:59:06.154Z",
"created_at": "2025-01-08T04:59:06.154Z",
"created_by": "elastic",
"id": "21b01cfb-058d-44b9-838c-282be16c91cc",
"list_id": "ip_list",
"tie_breaker_id": "b57c762c-3036-465c-9bfb-7bfb5e6e515a",
"type": "ip",
"updated_at": "2025-01-08T04:59:06.154Z",
"updated_by": "elastic",
"value": "127.0.0.1"
}
],
"page": 1,
"per_page": 20,
"total": 1
}
Response examples (400)
{
"error": "Bad Request,",
"message": "[request query]: list_id: Required",
"statusCode": "400,"
}
Response examples (401)
{
"error": "Unauthorized",
"message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
"statusCode": 401
}
Response examples (403)
{
"error": "Forbidden",
"message": "API [GET /api/lists/items/_find?list_id=ip_list&page=1&per_page=20] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
"statusCode": 403
}
Response examples (500)
{
"message": "Internal Server Error",
"status_code": 500
}